Skip to main content
GET
Get Assistant

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assistant_id
integer
required

Response

Successful Response

Schema for assistant response.

created_at
string<date-time>
required
id
integer
required
name
string
required
organization_id
integer
required
updated_at
string<date-time>
required
user_id
integer
required
assigned_documents
integer[]

Assigned document IDs (sync list)

assigned_tools
integer[]

Assigned tool IDs (enabled).

custom_settings
Custom Settings · object | null
description
string | null
idle_message
string | null
default:Are you still there? I'm here to help if you need anything.
idle_timeout
integer | null
interruption_settings
InterruptionSettings · object

Settings for call interruption behavior.

is_active
boolean | null
default:true
llm_fallback_providers
LLMFallbackSettings · object

Settings for LLM fallback providers.

llm_provider
string | null
default:openai

LLM provider: openai, anthropic, gemini, xai, groq, custom

llm_provider_config
LLMProviderConfig · object

Configuration for the selected LLM provider.

llm_settings
LLMSettings · object

Settings for the Large Language Model.

max_idle_messages
integer | null
playbook_ids
integer[] | null
rag_settings
RAGSettings · object

Settings for Retrieval-Augmented Generation (RAG).

recording_settings
RecordingSettings · object

Recording Settings

stt_settings
STTSettings · object

Settings for Speech-to-Text (STT) service.

tts_settings
TTSSettings · object

Settings for Text-to-Speech (TTS) service.